<?php
define('PROTECTOR', 1);
include('../config.php'); // worldkassa
//include('files/path.php');
//include($path.'files/db.php');
//include($path.'files/auth.php');
//include($path.'files/func.php');
//include($path.'files/core.php');
//include($path.'files/head.php');
//include($path.'files/zag.php');
$type='0';
if (isset($_GET['gold']) && is_numeric($_GET['gold']))	{
	if (isset($cena_gold[$_GET['gold']]))		{
		$summa=$cena_gold[$_GET['gold']];
		}
	}
if (isset($summa))	{
include('db.php');
//Коннект к БД
include('auth.php');
	if (!$user_id)		{
		echo 'Только для зарегистрированных';
		header('Location: /');
		exit();
		}
$data=file_get_contents('http://worldkassa.ru/user/oplata.php?id_shop='.$id_shop.'&summa='.$summa.'&hash='.$hash);
	if (is_numeric($data))		{
mysql_query("INSERT INTO `worldkassa` (`id_user`, `id_bill`, `time`, `summa`) values('".$udata['id']."', '".$data."', '".time()."', '".$summa."')");
header("Location: http://worldkassa.ru/user/oplata.php?uniq=".$data);
		exit();
		}		else		{
echo $data; //вывод ошибок WorldKassa, если есть
		}
	}
//	include($path.'files/down.php');
?>